Subject: Re: Patch portnumber for sSMTP
From: Corinna Vinschen <[email-masked]>
To: cygwin <[email-masked]>
Cc: Enoch Wu <[email-masked]>
Date: Wed, 11 Apr 2001 10:30:13 +0200

On Tue, Apr 10, 2001 at 06:53:27PM -0700, Enoch Wu wrote:
> Hi Corinna & all,
> 
> I am "uploading" the patch to add something like:
> 
> MailHub=mail.domain.com:2525 
> 
> in /etc/ssmtp/ssmtp.conf
> 
> root:[email-masked]:mail.domain.com:2525
> 
> in /etc/ssmtp/revaliases

Thanks for your effort!

However, I have a minor nit:

In function parseConfig():

> +              if ((r = strtok (NULL, "= \t\n:")) != NULL) PortNum = atoi(strdup(r));

I think the strdup isn't needed here. May I suggest asking for PortNum=0
afterwards and resetting it to PORTNUMBER, if so? Just to be  a bit
fault-tolerant.

And there's a small error:

> +		  log_event (LOG_INFO,
> +			     "via SMTP Port Number=\"%s\".\n", PortNum);

You're using "%s" for a integer variable here. Shouldn't that be "%d"?
The same in getReverseAliases():

> +		      log_event (LOG_INFO,
> +			         "via SMTP Port Number=\"%s\".\n", PortNum);

Could you please resubmit the patch? I will create a new ssmtp release
then. Are you willing to send your patch to the ssmtp maintainer
(Matt Ryan <[email-masked]>) as well?

Thank you,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple